complexType "OptionBaseExtended"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 12 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-option-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | primaryAssetClass?, secondaryAssetClass*, productType*, productId*, optionType, premium, exercise, (notionalReference? | notionalAmount?)?, (optionEntitlement?, entitlementCurrency?, numberOfOptions?)?
</...>

Content Model Elements (12):

  entitlementCurrency,
  exercise,
  notionalAmount (defined in OptionBaseExtended complexType),
  notionalReference (defined in OptionBaseExtended complexType),
  numberOfOptions (defined in OptionDenomination.model group),
  optionEntitlement (defined in OptionDenomination.model group),
  optionType (defined in OptionBase complexType),
  premium (defined in OptionBaseExtended complexType),
  primaryAssetClass,
  productId,
  productType,
  secondaryAssetClass

Known Direct Subtypes (2):

  BondOption, CreditDefaultSwapOption

All Direct / Indirect Based Elements (2):

  bondOption, creditDefaultSwapOption

Known Usage Locations

- In derivations of other global types (2):

  BondOption (as extension base), | CreditDefaultSwapOption (as extension base)

Annotation
Base type for options starting with the 4-3 release, until we refactor the schema as part of the 5-0 release series.
Type Definition Detail

Type Derivation Tree Product (extension) Option (extension) OptionBase (extension) OptionBaseExtended

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType abstract="true" name="OptionBaseExtended"> <xsd:complexContent> <xsd:extension base="OptionBase"> <xsd:sequence> <xsd:element name="premium" type="Premium"/> <xsd:element ref="exercise"/> <!--View Generation: SKIPPED exerciseProcedure - Documentation--> <!--View Generation: SKIPPED feature - NonStandardFeature--> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="notionalReference" type="NotionalAmountReference"/> <xsd:element minOccurs="0" name="notionalAmount" type="Money"/> </xsd:choice> <xsd:group minOccurs="0" ref="OptionDenomination.model"/> <!--View Generation: SKIPPED - NonStandardFeature--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/12)
exercise

  Type: | Exercise, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 3 elements

  XML Source (see within schema source)

  <xsd:element ref="exercise"/>

notionalAmount

  Type: | Money, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="notionalAmount" type="Money"/>

notionalReference

  Type: | NotionalAmountReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="notionalReference" type="NotionalAmountReference"/>

premium

  Type: | Premium, complex content

  The option premium payable by the buyer to the seller.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="premium" type="Premium"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.